package Mason::Plugin::BOKUTINFilters::t::Basic;
{
  $Mason::Plugin::BOKUTINFilters::t::Basic::VERSION = '0.132771';
}
use Test::Class::Most parent => 'Mason::Test::Class';

use Mason::Plugin::BOKUTINFilters::Util qw(mark_raw);

sub test_html_filters : Test(3) {
    my $self = shift;

    $self->setup_interp(
        plugins => [ '@Default', 'DefaultFilter', 'BOKUTINFilters' ],
        allow_globals => [qw($arg)]
    );
    $self->test_comp( src => '<% 1 %>' , expect => '1' );

    my $interp = $self->interp;

    $interp->set_global( '$arg', '<a>' );
    $self->test_comp( src => '<% $arg |H %>' , expect => '&lt;a&gt;' );

    $interp->set_global( '$arg', mark_raw('<a>') );
    $self->test_comp( src => '<% $arg |H %>' , expect => '<a>' );
}

1;

__END__

=pod

=head1 NAME

Mason::Plugin::BOKUTINFilters::t::Basic

=head1 VERSION

version 0.132771

=head1 AUTHOR

Tomohiro Hosaka <bokutin@bokut.in>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2013 by Tomohiro Hosaka.  No
license is granted to other entities.

=cut
